// Code generated by MockGen. DO NOT EDIT.
// Source: doc.go
//
// Generated by this command:
//
//	mockgen -typed -source doc.go -destination mock.go -package mock_gitaly
//

// Package mock_gitaly is a generated GoMock package.
package mock_gitaly

import (
	context "context"
	reflect "reflect"

	gitalypb "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/internal/gitaly/vendored/gitalypb"
	gomock "go.uber.org/mock/gomock"
	metadata "google.golang.org/grpc/metadata"
)

// MockCommitService_GetTreeEntriesClient is a mock of CommitService_GetTreeEntriesClient interface.
type MockCommitService_GetTreeEntriesClient struct {
	ctrl     *gomock.Controller
	recorder *MockCommitService_GetTreeEntriesClientMockRecorder
	isgomock struct{}
}

// MockCommitService_GetTreeEntriesClientMockRecorder is the mock recorder for MockCommitService_GetTreeEntriesClient.
type MockCommitService_GetTreeEntriesClientMockRecorder struct {
	mock *MockCommitService_GetTreeEntriesClient
}

// NewMockCommitService_GetTreeEntriesClient creates a new mock instance.
func NewMockCommitService_GetTreeEntriesClient(ctrl *gomock.Controller) *MockCommitService_GetTreeEntriesClient {
	mock := &MockCommitService_GetTreeEntriesClient{ctrl: ctrl}
	mock.recorder = &MockCommitService_GetTreeEntriesClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockCommitService_GetTreeEntriesClient) EXPECT() *MockCommitService_GetTreeEntriesClientMockRecorder {
	return m.recorder
}

// CloseSend mocks base method.
func (m *MockCommitService_GetTreeEntriesClient) CloseSend() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CloseSend")
	ret0, _ := ret[0].(error)
	return ret0
}

// CloseSend indicates an expected call of CloseSend.
func (mr *MockCommitService_GetTreeEntriesClientMockRecorder) CloseSend() *MockCommitService_GetTreeEntriesClientCloseSendCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CloseSend", reflect.TypeOf((*MockCommitService_GetTreeEntriesClient)(nil).CloseSend))
	return &MockCommitService_GetTreeEntriesClientCloseSendCall{Call: call}
}

// MockCommitService_GetTreeEntriesClientCloseSendCall wrap *gomock.Call
type MockCommitService_GetTreeEntriesClientCloseSendCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_GetTreeEntriesClientCloseSendCall) Return(arg0 error) *MockCommitService_GetTreeEntriesClientCloseSendCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_GetTreeEntriesClientCloseSendCall) Do(f func() error) *MockCommitService_GetTreeEntriesClientCloseSendCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_GetTreeEntriesClientCloseSendCall) DoAndReturn(f func() error) *MockCommitService_GetTreeEntriesClientCloseSendCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Context mocks base method.
func (m *MockCommitService_GetTreeEntriesClient) Context() context.Context {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Context")
	ret0, _ := ret[0].(context.Context)
	return ret0
}

// Context indicates an expected call of Context.
func (mr *MockCommitService_GetTreeEntriesClientMockRecorder) Context() *MockCommitService_GetTreeEntriesClientContextCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Context", reflect.TypeOf((*MockCommitService_GetTreeEntriesClient)(nil).Context))
	return &MockCommitService_GetTreeEntriesClientContextCall{Call: call}
}

// MockCommitService_GetTreeEntriesClientContextCall wrap *gomock.Call
type MockCommitService_GetTreeEntriesClientContextCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_GetTreeEntriesClientContextCall) Return(arg0 context.Context) *MockCommitService_GetTreeEntriesClientContextCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_GetTreeEntriesClientContextCall) Do(f func() context.Context) *MockCommitService_GetTreeEntriesClientContextCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_GetTreeEntriesClientContextCall) DoAndReturn(f func() context.Context) *MockCommitService_GetTreeEntriesClientContextCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Header mocks base method.
func (m *MockCommitService_GetTreeEntriesClient) Header() (metadata.MD, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Header")
	ret0, _ := ret[0].(metadata.MD)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Header indicates an expected call of Header.
func (mr *MockCommitService_GetTreeEntriesClientMockRecorder) Header() *MockCommitService_GetTreeEntriesClientHeaderCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Header", reflect.TypeOf((*MockCommitService_GetTreeEntriesClient)(nil).Header))
	return &MockCommitService_GetTreeEntriesClientHeaderCall{Call: call}
}

// MockCommitService_GetTreeEntriesClientHeaderCall wrap *gomock.Call
type MockCommitService_GetTreeEntriesClientHeaderCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_GetTreeEntriesClientHeaderCall) Return(arg0 metadata.MD, arg1 error) *MockCommitService_GetTreeEntriesClientHeaderCall {
	c.Call = c.Call.Return(arg0, arg1)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_GetTreeEntriesClientHeaderCall) Do(f func() (metadata.MD, error)) *MockCommitService_GetTreeEntriesClientHeaderCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_GetTreeEntriesClientHeaderCall) DoAndReturn(f func() (metadata.MD, error)) *MockCommitService_GetTreeEntriesClientHeaderCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Recv mocks base method.
func (m *MockCommitService_GetTreeEntriesClient) Recv() (*gitalypb.GetTreeEntriesResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Recv")
	ret0, _ := ret[0].(*gitalypb.GetTreeEntriesResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Recv indicates an expected call of Recv.
func (mr *MockCommitService_GetTreeEntriesClientMockRecorder) Recv() *MockCommitService_GetTreeEntriesClientRecvCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Recv", reflect.TypeOf((*MockCommitService_GetTreeEntriesClient)(nil).Recv))
	return &MockCommitService_GetTreeEntriesClientRecvCall{Call: call}
}

// MockCommitService_GetTreeEntriesClientRecvCall wrap *gomock.Call
type MockCommitService_GetTreeEntriesClientRecvCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_GetTreeEntriesClientRecvCall) Return(arg0 *gitalypb.GetTreeEntriesResponse, arg1 error) *MockCommitService_GetTreeEntriesClientRecvCall {
	c.Call = c.Call.Return(arg0, arg1)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_GetTreeEntriesClientRecvCall) Do(f func() (*gitalypb.GetTreeEntriesResponse, error)) *MockCommitService_GetTreeEntriesClientRecvCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_GetTreeEntriesClientRecvCall) DoAndReturn(f func() (*gitalypb.GetTreeEntriesResponse, error)) *MockCommitService_GetTreeEntriesClientRecvCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// RecvMsg mocks base method.
func (m_2 *MockCommitService_GetTreeEntriesClient) RecvMsg(m any) error {
	m_2.ctrl.T.Helper()
	ret := m_2.ctrl.Call(m_2, "RecvMsg", m)
	ret0, _ := ret[0].(error)
	return ret0
}

// RecvMsg indicates an expected call of RecvMsg.
func (mr *MockCommitService_GetTreeEntriesClientMockRecorder) RecvMsg(m any) *MockCommitService_GetTreeEntriesClientRecvMsgCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RecvMsg", reflect.TypeOf((*MockCommitService_GetTreeEntriesClient)(nil).RecvMsg), m)
	return &MockCommitService_GetTreeEntriesClientRecvMsgCall{Call: call}
}

// MockCommitService_GetTreeEntriesClientRecvMsgCall wrap *gomock.Call
type MockCommitService_GetTreeEntriesClientRecvMsgCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_GetTreeEntriesClientRecvMsgCall) Return(arg0 error) *MockCommitService_GetTreeEntriesClientRecvMsgCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_GetTreeEntriesClientRecvMsgCall) Do(f func(any) error) *MockCommitService_GetTreeEntriesClientRecvMsgCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_GetTreeEntriesClientRecvMsgCall) DoAndReturn(f func(any) error) *MockCommitService_GetTreeEntriesClientRecvMsgCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// SendMsg mocks base method.
func (m_2 *MockCommitService_GetTreeEntriesClient) SendMsg(m any) error {
	m_2.ctrl.T.Helper()
	ret := m_2.ctrl.Call(m_2, "SendMsg", m)
	ret0, _ := ret[0].(error)
	return ret0
}

// SendMsg indicates an expected call of SendMsg.
func (mr *MockCommitService_GetTreeEntriesClientMockRecorder) SendMsg(m any) *MockCommitService_GetTreeEntriesClientSendMsgCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SendMsg", reflect.TypeOf((*MockCommitService_GetTreeEntriesClient)(nil).SendMsg), m)
	return &MockCommitService_GetTreeEntriesClientSendMsgCall{Call: call}
}

// MockCommitService_GetTreeEntriesClientSendMsgCall wrap *gomock.Call
type MockCommitService_GetTreeEntriesClientSendMsgCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_GetTreeEntriesClientSendMsgCall) Return(arg0 error) *MockCommitService_GetTreeEntriesClientSendMsgCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_GetTreeEntriesClientSendMsgCall) Do(f func(any) error) *MockCommitService_GetTreeEntriesClientSendMsgCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_GetTreeEntriesClientSendMsgCall) DoAndReturn(f func(any) error) *MockCommitService_GetTreeEntriesClientSendMsgCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Trailer mocks base method.
func (m *MockCommitService_GetTreeEntriesClient) Trailer() metadata.MD {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Trailer")
	ret0, _ := ret[0].(metadata.MD)
	return ret0
}

// Trailer indicates an expected call of Trailer.
func (mr *MockCommitService_GetTreeEntriesClientMockRecorder) Trailer() *MockCommitService_GetTreeEntriesClientTrailerCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Trailer", reflect.TypeOf((*MockCommitService_GetTreeEntriesClient)(nil).Trailer))
	return &MockCommitService_GetTreeEntriesClientTrailerCall{Call: call}
}

// MockCommitService_GetTreeEntriesClientTrailerCall wrap *gomock.Call
type MockCommitService_GetTreeEntriesClientTrailerCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_GetTreeEntriesClientTrailerCall) Return(arg0 metadata.MD) *MockCommitService_GetTreeEntriesClientTrailerCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_GetTreeEntriesClientTrailerCall) Do(f func() metadata.MD) *MockCommitService_GetTreeEntriesClientTrailerCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_GetTreeEntriesClientTrailerCall) DoAndReturn(f func() metadata.MD) *MockCommitService_GetTreeEntriesClientTrailerCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// MockCommitService_TreeEntryClient is a mock of CommitService_TreeEntryClient interface.
type MockCommitService_TreeEntryClient struct {
	ctrl     *gomock.Controller
	recorder *MockCommitService_TreeEntryClientMockRecorder
	isgomock struct{}
}

// MockCommitService_TreeEntryClientMockRecorder is the mock recorder for MockCommitService_TreeEntryClient.
type MockCommitService_TreeEntryClientMockRecorder struct {
	mock *MockCommitService_TreeEntryClient
}

// NewMockCommitService_TreeEntryClient creates a new mock instance.
func NewMockCommitService_TreeEntryClient(ctrl *gomock.Controller) *MockCommitService_TreeEntryClient {
	mock := &MockCommitService_TreeEntryClient{ctrl: ctrl}
	mock.recorder = &MockCommitService_TreeEntryClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockCommitService_TreeEntryClient) EXPECT() *MockCommitService_TreeEntryClientMockRecorder {
	return m.recorder
}

// CloseSend mocks base method.
func (m *MockCommitService_TreeEntryClient) CloseSend() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CloseSend")
	ret0, _ := ret[0].(error)
	return ret0
}

// CloseSend indicates an expected call of CloseSend.
func (mr *MockCommitService_TreeEntryClientMockRecorder) CloseSend() *MockCommitService_TreeEntryClientCloseSendCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CloseSend", reflect.TypeOf((*MockCommitService_TreeEntryClient)(nil).CloseSend))
	return &MockCommitService_TreeEntryClientCloseSendCall{Call: call}
}

// MockCommitService_TreeEntryClientCloseSendCall wrap *gomock.Call
type MockCommitService_TreeEntryClientCloseSendCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_TreeEntryClientCloseSendCall) Return(arg0 error) *MockCommitService_TreeEntryClientCloseSendCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_TreeEntryClientCloseSendCall) Do(f func() error) *MockCommitService_TreeEntryClientCloseSendCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_TreeEntryClientCloseSendCall) DoAndReturn(f func() error) *MockCommitService_TreeEntryClientCloseSendCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Context mocks base method.
func (m *MockCommitService_TreeEntryClient) Context() context.Context {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Context")
	ret0, _ := ret[0].(context.Context)
	return ret0
}

// Context indicates an expected call of Context.
func (mr *MockCommitService_TreeEntryClientMockRecorder) Context() *MockCommitService_TreeEntryClientContextCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Context", reflect.TypeOf((*MockCommitService_TreeEntryClient)(nil).Context))
	return &MockCommitService_TreeEntryClientContextCall{Call: call}
}

// MockCommitService_TreeEntryClientContextCall wrap *gomock.Call
type MockCommitService_TreeEntryClientContextCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_TreeEntryClientContextCall) Return(arg0 context.Context) *MockCommitService_TreeEntryClientContextCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_TreeEntryClientContextCall) Do(f func() context.Context) *MockCommitService_TreeEntryClientContextCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_TreeEntryClientContextCall) DoAndReturn(f func() context.Context) *MockCommitService_TreeEntryClientContextCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Header mocks base method.
func (m *MockCommitService_TreeEntryClient) Header() (metadata.MD, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Header")
	ret0, _ := ret[0].(metadata.MD)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Header indicates an expected call of Header.
func (mr *MockCommitService_TreeEntryClientMockRecorder) Header() *MockCommitService_TreeEntryClientHeaderCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Header", reflect.TypeOf((*MockCommitService_TreeEntryClient)(nil).Header))
	return &MockCommitService_TreeEntryClientHeaderCall{Call: call}
}

// MockCommitService_TreeEntryClientHeaderCall wrap *gomock.Call
type MockCommitService_TreeEntryClientHeaderCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_TreeEntryClientHeaderCall) Return(arg0 metadata.MD, arg1 error) *MockCommitService_TreeEntryClientHeaderCall {
	c.Call = c.Call.Return(arg0, arg1)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_TreeEntryClientHeaderCall) Do(f func() (metadata.MD, error)) *MockCommitService_TreeEntryClientHeaderCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_TreeEntryClientHeaderCall) DoAndReturn(f func() (metadata.MD, error)) *MockCommitService_TreeEntryClientHeaderCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Recv mocks base method.
func (m *MockCommitService_TreeEntryClient) Recv() (*gitalypb.TreeEntryResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Recv")
	ret0, _ := ret[0].(*gitalypb.TreeEntryResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Recv indicates an expected call of Recv.
func (mr *MockCommitService_TreeEntryClientMockRecorder) Recv() *MockCommitService_TreeEntryClientRecvCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Recv", reflect.TypeOf((*MockCommitService_TreeEntryClient)(nil).Recv))
	return &MockCommitService_TreeEntryClientRecvCall{Call: call}
}

// MockCommitService_TreeEntryClientRecvCall wrap *gomock.Call
type MockCommitService_TreeEntryClientRecvCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_TreeEntryClientRecvCall) Return(arg0 *gitalypb.TreeEntryResponse, arg1 error) *MockCommitService_TreeEntryClientRecvCall {
	c.Call = c.Call.Return(arg0, arg1)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_TreeEntryClientRecvCall) Do(f func() (*gitalypb.TreeEntryResponse, error)) *MockCommitService_TreeEntryClientRecvCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_TreeEntryClientRecvCall) DoAndReturn(f func() (*gitalypb.TreeEntryResponse, error)) *MockCommitService_TreeEntryClientRecvCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// RecvMsg mocks base method.
func (m_2 *MockCommitService_TreeEntryClient) RecvMsg(m any) error {
	m_2.ctrl.T.Helper()
	ret := m_2.ctrl.Call(m_2, "RecvMsg", m)
	ret0, _ := ret[0].(error)
	return ret0
}

// RecvMsg indicates an expected call of RecvMsg.
func (mr *MockCommitService_TreeEntryClientMockRecorder) RecvMsg(m any) *MockCommitService_TreeEntryClientRecvMsgCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RecvMsg", reflect.TypeOf((*MockCommitService_TreeEntryClient)(nil).RecvMsg), m)
	return &MockCommitService_TreeEntryClientRecvMsgCall{Call: call}
}

// MockCommitService_TreeEntryClientRecvMsgCall wrap *gomock.Call
type MockCommitService_TreeEntryClientRecvMsgCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_TreeEntryClientRecvMsgCall) Return(arg0 error) *MockCommitService_TreeEntryClientRecvMsgCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_TreeEntryClientRecvMsgCall) Do(f func(any) error) *MockCommitService_TreeEntryClientRecvMsgCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_TreeEntryClientRecvMsgCall) DoAndReturn(f func(any) error) *MockCommitService_TreeEntryClientRecvMsgCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// SendMsg mocks base method.
func (m_2 *MockCommitService_TreeEntryClient) SendMsg(m any) error {
	m_2.ctrl.T.Helper()
	ret := m_2.ctrl.Call(m_2, "SendMsg", m)
	ret0, _ := ret[0].(error)
	return ret0
}

// SendMsg indicates an expected call of SendMsg.
func (mr *MockCommitService_TreeEntryClientMockRecorder) SendMsg(m any) *MockCommitService_TreeEntryClientSendMsgCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SendMsg", reflect.TypeOf((*MockCommitService_TreeEntryClient)(nil).SendMsg), m)
	return &MockCommitService_TreeEntryClientSendMsgCall{Call: call}
}

// MockCommitService_TreeEntryClientSendMsgCall wrap *gomock.Call
type MockCommitService_TreeEntryClientSendMsgCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_TreeEntryClientSendMsgCall) Return(arg0 error) *MockCommitService_TreeEntryClientSendMsgCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_TreeEntryClientSendMsgCall) Do(f func(any) error) *MockCommitService_TreeEntryClientSendMsgCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_TreeEntryClientSendMsgCall) DoAndReturn(f func(any) error) *MockCommitService_TreeEntryClientSendMsgCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}

// Trailer mocks base method.
func (m *MockCommitService_TreeEntryClient) Trailer() metadata.MD {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Trailer")
	ret0, _ := ret[0].(metadata.MD)
	return ret0
}

// Trailer indicates an expected call of Trailer.
func (mr *MockCommitService_TreeEntryClientMockRecorder) Trailer() *MockCommitService_TreeEntryClientTrailerCall {
	mr.mock.ctrl.T.Helper()
	call := mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Trailer", reflect.TypeOf((*MockCommitService_TreeEntryClient)(nil).Trailer))
	return &MockCommitService_TreeEntryClientTrailerCall{Call: call}
}

// MockCommitService_TreeEntryClientTrailerCall wrap *gomock.Call
type MockCommitService_TreeEntryClientTrailerCall struct {
	*gomock.Call
}

// Return rewrite *gomock.Call.Return
func (c *MockCommitService_TreeEntryClientTrailerCall) Return(arg0 metadata.MD) *MockCommitService_TreeEntryClientTrailerCall {
	c.Call = c.Call.Return(arg0)
	return c
}

// Do rewrite *gomock.Call.Do
func (c *MockCommitService_TreeEntryClientTrailerCall) Do(f func() metadata.MD) *MockCommitService_TreeEntryClientTrailerCall {
	c.Call = c.Call.Do(f)
	return c
}

// DoAndReturn rewrite *gomock.Call.DoAndReturn
func (c *MockCommitService_TreeEntryClientTrailerCall) DoAndReturn(f func() metadata.MD) *MockCommitService_TreeEntryClientTrailerCall {
	c.Call = c.Call.DoAndReturn(f)
	return c
}
